require 'test_helper'


class EnableRoutesTest < ActiveSupport::TestCase
  test "basic path" do
    assert_equal "people", PeopleController.controller_path
  end

  test "nested path" do
    assert_equal "push_routes/nested", PushRoutes::NestedController.controller_path
  end

  test "basic url" do
    assert_equal "/people", PeopleController.push_routes[:index].to_s
  end

  test "url with params" do
    assert_equal "/push_routes/nested/:id", PushRoutes::NestedController.push_routes[:nested_function].to_s    
  end

  test "added url" do
    assert_equal "/new_route", PushRoutes::NestedController.push_routes[:added_function].to_s    
  end

  test "add_on_existing_url_error" do
    assert_raise ArgumentError do
      PeopleController.enable_push_route :index, "/people2"
    end
  end

  test "doesn't let you enable action with no routes" do
    assert_raise ArgumentError do
      PeopleController.enable_push_route :not_exist
    end
  end

  test "add_on_twice" do
    assert_raise ArgumentError do
      PeopleController.enable_push_route :index
    end
  end

  test "can add witout explecit enable" do
    assert_equal "/socket", SocketsController.push_routes[:test].to_s
  end
end
