require 'test_helper'

class PushRoutesUrlMatcherTest < ActiveSupport::TestCase
  test "truth" do
    assert_kind_of Module, PushRoutes
  end

  test "url_matcher_okay" do
  	url = PushRoutes::PushRouteUrl.new("/usr/test/:id/temp/:test")
  	assert url.matches("/usr/test/432/temp/802")
  end

  test "url_matcher_reject_ending_slash" do
  	url = PushRoutes::PushRouteUrl.new("/usr/test/:id/temp/:test")
  	assert_not url.matches("/usr/test/432/temp/802/")
  end

  test "url_matcher_reject_missing_param" do
  	url = PushRoutes::PushRouteUrl.new("/usr/test/:id/temp/:test")
  	assert_not url.matches("/usr/test/432/temp")
  end
end
