require 'test_helper'


class SmarterAddTest < ActiveSupport::TestCase
  setup do
    @listener = PushRoutesListener.new
  end

  test "allows adding id triggers" do
    assert_equal "/clubs/:id/list", ClubsController.push_routes[:list].to_s
  end

  test "id triggers actually fire" do
    @listener.reset
    Person.create(club_id: 20)
    sleep 1
    assert_equal 1, @listener.number_of("/clubs/20/list")
  end

  test "the id triggers with infered response type" do
    @listener.reset
    @club = Club.create
    Person.create(club: @club)
    sleep 1
    assert_equal 1, @listener.number_of("/clubs/#{@club.id}/people")
  end

  test "the id triggers with infered response type and infered trigger type" do
    @listener.reset
    @club = Club.create
    sleep 1
    assert_equal 1, @listener.number_of("/clubs/#{@club.id}")
  end
end
